package config

import (
	"time"

	"github.com/zeromicro/go-zero/core/stores/redis"
	"github.com/zeromicro/go-zero/zrpc"
)

type Config struct {
	zrpc.RpcServerConf

	Mongo struct {
		Schema   string
		User     string
		Password string
		Host     string
		Port     string
		Database string
	}

	TimelineSetting struct {
		Expire    int64 // Second
		MaxLength int64 // 暫存筆數
	}

	// Redis Cluster
	RedisCluster redis.RedisConf

	// 圖形話資料庫
	Neo4J struct {
		URI                   string
		Username              string
		Password              string
		MaxConnectionPoolSize int
		MaxConnectionLifetime time.Duration
		ConnectionTimeout     time.Duration
		LogLevel              string
	}
}
